package net.touhoudiscord.hexucasting.forge

import net.minecraftforge.event.RegisterGameTestsEvent
import net.minecraftforge.eventbus.api.SubscribeEvent
import net.minecraftforge.fml.common.Mod.EventBusSubscriber
import net.touhoudiscord.hexucasting.api.HexucastingAPI

@EventBusSubscriber(modid = HexucastingAPI.MOD_ID, bus = EventBusSubscriber.Bus.MOD)
public object HexucastingGameTests {
	@SubscribeEvent
	public fun registerTests(event: RegisterGameTestsEvent) {
		HexucastingAPI.LOGGER.debug("registering tests")
		event.register(ExampleTests::class.java)
	}
}